CREATE TABLE fnd_kf_segment_instances_ (
    ENTERPRISE_ID            NUMBER(18, 0) ,
    STRUCTURE_INSTANCE_ID    NUMBER(18, 0) ,
    SEGMENT_CODE             VARCHAR2(120) ,
    VALUE_SET_ID             NUMBER(18, 0) ,
    TREE_STRUCTURE_CODE      VARCHAR2(120) ,
    TREE_CODE                VARCHAR2(120) ,
    DEFAULT_TYPE             VARCHAR2(120) ,
    DEFAULT_VALUE            VARCHAR2(4000),
    DEFAULT_VALUE_NUMBER     NUMBER        ,
    REQUIRED_FLAG            VARCHAR2(4)   ,
    DISPLAY_FLAG             VARCHAR2(4)   ,
    BI_ENABLED_FLAG          VARCHAR2(4)   ,
    QUERY_REQUIRED_TYPE      VARCHAR2(120) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ENTERPRISE_ID            NUMBER(18, 0) ,
    STRUCTURE_INSTANCE_ID    NUMBER(18, 0) ,
    SEGMENT_CODE             VARCHAR2(120) ,
    VALUE_SET_ID             NUMBER(18, 0) ,
    TREE_CODE                VARCHAR2(120) ,
    DEFAULT_TYPE             VARCHAR2(120) ,
    DEFAULT_VALUE            VARCHAR2(4000),
    REQUIRED_FLAG            VARCHAR2(4)   ,
    DISPLAY_FLAG             VARCHAR2(4)   ,
    BI_ENABLED_FLAG          VARCHAR2(4)   ,
    QUERY_REQUIRED_TYPE      VARCHAR2(120) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    TREE_STRUCTURE_CODE      VARCHAR2(120) ,
    DEFAULT_VALUE_NUMBER     NUMBER        ,
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    CONSTRAINT pk_fnd_kf_segment_instances_ PRIMARY KEY (ENTERPRISE_ID, STRUCTURE_INSTANCE_ID, SEGMENT_CODE, LAST_UPDATE_DATE, LAST_UPDATED_BY, ENTERPRISE_ID, STRUCTURE_INSTANCE_ID, SEGMENT_CODE, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
